package de.lmu.ifi.pst.x10080133.domain;

/**
 * Information holder for one rule, contains n locations
 * 
 * @author Roman.Schwienbacher
 */
public class Rule {

	private String role;
	private String[] pre_visited;

	public Rule() {
	}

	public Rule(String role, String[] pre_visited) {
		this.role = role;
		this.pre_visited = pre_visited;
	}

	public String getRole() {
		return role;
	}

	public void setRole(String role) {
		this.role = role;
	}

	public String[] getPre_visited() {
		return pre_visited;
	}

	public void setPre_visited(String[] pre_visited) {
		this.pre_visited = pre_visited;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((role == null) ? 0 : role.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Rule other = (Rule) obj;
		if (role == null) {
			if (other.role != null)
				return false;
		} else if (!role.equals(other.role))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "Rule [role=" + role + "]";
	}

}
