package de.lmu.ifi.pst.x10080133.util;

import org.springframework.context.ApplicationContext;

/**
 * appContext injected by AppContextProvider, provides application wide static access to spring application-context
 * example: (TicketDAO) AppContext.getApplicationContext().getBean("ticketDAO");
 * @author Roman.Schwienbacher
 */
public class AppContext {

	private static ApplicationContext appContext;

	public static void setApplicationContext(ApplicationContext applicationContext) {
		appContext = applicationContext;
	}

	public static ApplicationContext getApplicationContext() {
		return appContext;
	}
}
