package de.lmu.ifi.pst.x10080133.util;

 

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Controller;
 
/**
 * Helper class to provide application wide access
 * to application context
 * Spring initializes bean automatically and calls setApplicationContext
 *
 * @author Roman.Schwienbacher
 */ 
@Controller
public class AppContextProvider implements ApplicationContextAware { 
 
	private final Log log = LogFactory.getLog(AppContextProvider.class);
	
    public void setApplicationContext(ApplicationContext ctx) throws BeansException {        
        AppContext.setApplicationContext(ctx);
        log.debug("Application-Wide access set successfully");
    } 
} 